Subject: Re: linux-next: manual merge of the tip tree with the net-next tree

From: "H. Peter Anvin" <[email-masked]>
Date: Mon, 13 Jan 2014 20:51:43 -0800

On 01/13/2014 07:02 PM, Stephen Rothwell wrote:
> Hi all,
> 
> On Mon, 13 Jan 2014 14:20:59 +1100 Stephen Rothwell
> <[email-masked]> wrote:
>> 
>> On Mon, 13 Jan 2014 14:18:24 +1100 Stephen Rothwell
>> <[email-masked]> wrote:
>>> 
>>> Today's linux-next merge of the tip tree got conflicts in 
>>> arch/arc/include/asm/Kbuild, arch/cris/include/asm/Kbuild, 
>>> arch/hexagon/include/asm/Kbuild,
>>> arch/microblaze/include/asm/Kbuild, 
>>> arch/parisc/include/asm/Kbuild and
>>> arch/score/include/asm/Kbuild between commit e3fec2f74f7f
>>> ("lib: Add missing arch generic-y entries for 
>>> asm-generic/hash.h") from the net-next tree and commit
>>> 93ea02bb8435 ("arch: Clean up asm/barrier.h implementations
>>> using asm-generic/barrier.h") from the tip tree.
>>> 
>>> I fixed it up (see below) and can carry the fix as necessary
>>> (no action is required).
>>> 
>>> BTW: thanks for not keeping the Kbuild files sorted :-(
>> 
>> I missed arch/mn10300/include/asm/Kbuild the first time round.
> 
> And ... git rerere does not work well here.  It stores resolutions
> by a hash of the (sanitised) conflict and since most of these files
> have exactly the same conflict, I am going to have to edit 5 of
> them by hand every day.
> 

Well, you probably can keep a diff from the conflict-merge tree to the
fix, but still.

Is there a sensible way we can fix this in either net-next or tip?

	-hpa